petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatSubdomainsCreateCoalesce

Creates index subdomains by coalescing adjacent ranks' ownership ranges.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSubdomainsCreateCoalesce(Mat A,PetscInt N,PetscInt *n,IS *iss[])

Collective on A

### Input Parameters

| A | - the matrix to create subdomains from
| N | - requested number of subdomains

### Output Parameters

| n | - number of subdomains resulting on this rank
| iss | - IS list with indices of subdomains on this rank

Notes: number of subdomains must be smaller than the communicator size

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages